import { ElementRef, OnInit } from '@angular/core';
import { PopoverService } from './popover.service';
import * as i0 from "@angular/core";
export declare class PopoverComponent implements OnInit {
    popoverService: PopoverService;
    dontCloseonClick: boolean;
    popoverContainer: boolean;
    popoverRatio: ElementRef;
    popoverContent: ElementRef;
    constructor(popoverService: PopoverService);
    showPopover: boolean;
    leftValue: any;
    topValue: any;
    popoverHeight: any;
    popoverWidth: any;
    positionX: number;
    positionY: number;
    ngOnInit(): void;
    popover(): boolean;
    popoverEvent(): boolean;
    closePopover(top?: string): void;
    clickedPopover(): void;
    getPosition(): void;
    sizeChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopoverComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PopoverComponent, "app-popover", never, { "dontCloseonClick": { "alias": "dontCloseonClick"; "required": false; }; }, {}, never, ["*"], false, never>;
}
